#!/bin/sh

### BEGIN INIT INFO
# Provides:          maxwell_splashscreen
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:      0 1 6 7
# Short-Description: Starts maxwell splashscreen
# Description:
### END INIT INFO

. /etc/init.d/init-functions

board=`cat /proc/device-tree/model | cut -d" " -f3,4`
WORKING_DIR=/var/run/

case $1 in
    start)
        if [ "$board" == "Maxwell 3" ]; then
            (cd $WORKING_DIR && exec /usr/sbin/splashscreen --reason boot --model three -nomouse -qws) &
        else
            (cd $WORKING_DIR && exec /usr/sbin/splashscreen --reason boot --model basic -nomouse -qws) &
        fi
        ;;

    stop)
        ;;

    *)
        echo "Usage: $0 {start|stop}"
        exit 1
        ;;
esac
